Bug 182078 - [maintainer] graphics/mapnik: fix Clang 3.3 build
Summary: [maintainer] graphics/mapnik: fix Clang 3.3 build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-14 05:10 UTC by littlesavage
Modified: 2013-10-07 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1007 bytes, patch)
2013-09-14 05:10 UTC, littlesavage
no flags Details | Diff
mapnik.diff (3.77 KB, patch)
2013-10-06 14:03 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description littlesavage 2013-09-14 05:10:00 UTC
Fix build with Clang 3.3 on 10-CURRENT

https://github.com/mapnik/mapnik/issues/1973

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-14 05:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:12:14 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Guido Falsi freebsd_committer 2013-10-06 11:50:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 Guido Falsi freebsd_committer 2013-10-06 14:03:10 UTC
Hi,

I made further changes to the port to bring it up to date with the 
latest ports tree news:

- USES=scons
- New LIB_DEPENDS format
- Support staging

Can you test it and approve the attached patch?

Thank you!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 5 littlesavage 2013-10-07 07:46:36 UTC
Hi,

On 06.10.2013 17:03, Guido Falsi wrote:
> I made further changes to the port to bring it up to date with the
> latest ports tree news:
> - USES=scons
> - New LIB_DEPENDS format
> - Support staging
> Can you test it and approve the attached patch?
> Thank you!

Approved
Comment 6 dfilter service freebsd_committer 2013-10-07 21:15:13 UTC
Author: madpilot
Date: Mon Oct  7 20:15:05 2013
New Revision: 329735
URL: http://svnweb.freebsd.org/changeset/ports/329735

Log:
  - Fix build with clang
  - Convert to USES scons
  - Use new LIB_DEPENDS format
  - Support staging
  
  PR:		ports/182078
  Submitted by:	Alexey Illarionov <littlesavage@rambler.ru>

Added:
  head/graphics/mapnik/files/patch-bindings-python-mapnik_text_placement.cpp   (contents, props changed)
Modified:
  head/graphics/mapnik/Makefile

Modified: head/graphics/mapnik/Makefile
==============================================================================
--- head/graphics/mapnik/Makefile	Mon Oct  7 20:12:48 2013	(r329734)
+++ head/graphics/mapnik/Makefile	Mon Oct  7 20:15:05 2013	(r329735)
@@ -14,19 +14,18 @@ COMMENT=	A Free Toolkit For Developing M
 LICENSE=	LGPL21
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	proj:${PORTSDIR}/graphics/proj \
-		icuuc:${PORTSDIR}/devel/icu \
-		boost_system:${PORTSDIR}/devel/boost-libs \
-		boost_python:${PORTSDIR}/devel/boost-python-libs
+LIB_DEPENDS=	libproj.so:${PORTSDIR}/graphics/proj \
+		libicuuc.so:${PORTSDIR}/devel/icu \
+		libboost_system.so:${PORTSDIR}/devel/boost-libs \
+		libboost_python.so:${PORTSDIR}/devel/boost-python-libs
 BUILD_DEPENDS=	${LOCALBASE}/bin/freetype-config:${PORTSDIR}/print/freetype2 \
 		${PYTHON_PKGNAMEPREFIX}icu>=0.8.1:${PORTSDIR}/devel/py-icu
 
 USE_BZIP2=	yes
-USES=		pkgconfig
+USES=		pkgconfig scons
 USE_GNOME=	libxml2
 USE_PYTHON=	2.6+
 USE_LDCONFIG=	yes
-USE_SCONS=	yes
 WARNING_CXXFLAGS?=	-w
 
 INPUT_PLUGINS=	geojson python raster shape
@@ -54,14 +53,13 @@ DOCSRCDIR2=	${WRKSRC}/docs
 DOCSDIR2=	${DOCSDIR}/docs
 DOC_FILES2=	*
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCAIRO}
 LIB_DEPENDS+=	cairo:${PORTSDIR}/graphics/cairo
 BUILD_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}cairo>=1.8.2:${PORTSDIR}/graphics/py-cairo
 .else
-SCONS_ARGS+=	CAIRO=False
+MAKE_ARGS+=	CAIRO=False
 .endif
 
 .if ${PORT_OPTIONS:MCSV}
@@ -97,19 +95,19 @@ BUILD_DEPENDS+=	sqlite3>=3.7.12:${PORTSD
 .if ${PORT_OPTIONS:MJPEG}
 LIB_DEPENDS+=   jpeg:${PORTSDIR}/graphics/jpeg
 .else
-SCONS_ARGS+=	JPEG=False
+MAKE_ARGS+=	JPEG=False
 .endif
 
 .if ${PORT_OPTIONS:MPNG}
 LIB_DEPENDS+=   png15:${PORTSDIR}/graphics/png
 .else
-SCONS_ARGS+=	PNG=False
+MAKE_ARGS+=	PNG=False
 .endif
 
 .if ${PORT_OPTIONS:MTIFF}
 LIB_DEPENDS+=   tiff:${PORTSDIR}/graphics/tiff
 .else
-SCONS_ARGS+=	TIFF=False
+MAKE_ARGS+=	TIFF=False
 .endif
 
 .include <bsd.port.pre.mk>
@@ -118,9 +116,10 @@ SCONS_ARGS+=	TIFF=False
 IGNORE=		does not install: runs out of virtual memory
 .endif
 
-SCONS_ARGS+=	WARNING_CXXFLAGS=${WARNING_CXXFLAGS}
-SCONS_ARGS+=	INPUT_PLUGINS="`${ECHO} ${INPUT_PLUGINS} | ${TR} ' ' ,`"
-SCONS_ARGS+=	JOBS=${MAKE_JOBS_NUMBER}
+MAKE_ARGS+=	WARNING_CXXFLAGS=${WARNING_CXXFLAGS}
+MAKE_ARGS+=	INPUT_PLUGINS="`${ECHO} ${INPUT_PLUGINS} | ${TR} ' ' ,`"
+MAKE_ARGS+=	JOBS=${MAKE_JOBS_NUMBER}
+MAKE_ARGS+=	${MAKE_ENV}
 
 pre-configure:
 .if ${PORT_OPTIONS:MSQLITE3}
@@ -137,16 +136,10 @@ post-patch:
 	@${REINPLACE_CMD} -e 's#/usr/local#${LOCALBASE}#g' \
 		${WRKSRC}/SConstruct
 
-do-install:
-	@cd ${INSTALL_WRKSRC} && ${SETENV} ${SCONS_BUILDENV} ${SCONS_BIN} \
-		${SCONS_INSTALL_TARGET}
-
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
-	@${MKDIR} ${DOCSDIR2}
-	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR2}
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
 
 .include <bsd.port.post.mk>

Added: head/graphics/mapnik/files/patch-bindings-python-mapnik_text_placement.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mapnik/files/patch-bindings-python-mapnik_text_placement.cpp	Mon Oct  7 20:15:05 2013	(r329735)
@@ -0,0 +1,15 @@
+--- bindings/python/mapnik_text_placement.cpp.orig	2013-09-14 06:44:28.000000000 +0400
++++ bindings/python/mapnik_text_placement.cpp	2013-09-14 06:46:57.000000000 +0400
+@@ -194,7 +194,11 @@
+     ListNodeWrap(object l) : formatting::list_node(), wrapper<formatting::list_node>()
+     {
+         stl_input_iterator<formatting::node_ptr> begin(l), end;
+-        children_.insert(children_.end(), begin, end);
++        while (begin != end)
++        {
++           children_.push_back(*begin);
++           ++begin;
++        }
+     }
+ 
+     /* TODO: Add constructor taking variable number of arguments.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Guido Falsi freebsd_committer 2013-10-07 21:15:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!